#define F_CPU 8000000
#include "io.h"
#include "adns2610.h"


void camInit() {
	sendCam(0, 0x80);
	sendCam(0, 1);
	while((recvCam(0x1)&0xe0)!=0) ;
}

void camStartFrame() {
	sendCam(8, 0xA5);
}

char camGetPixel() {
	char ret;
	do {
		ret=recvCam(8);
	} while ((ret&0x40)==0);
	return ret&0x3f;
}

