//Little C-program to generate the sine table.
//Compile & run on the native Linux system, not on the AVR.
//(gcc -lm -o gentabs gentabs.c)
#include <stdio.h>
#include <stdlib.h>

int main() {
	int r,g,b;
	double x;
	printf("short palette[] PROGMEM={");
	for (x=0; x<64; x++) {
		r=sin(x*3.1415/32)*8+8;
		g=sin((x+21)*3.1415/32)*8+8;
		b=sin((x+42)*3.1415/32)*8+8;
		printf("%s0x%x", x==0?"":", ", (r<<8)|(g<<4)|b);
	}
	printf("};\nchar sintab[] PROGMEM={");
	for (x=0; x<256; x++) {
		r=sin(x*3.1415/128.0)*128+128;
		printf("%s0x%x", x==0?"":", ",  r);
	}
	printf("};\n");

}